goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core.set_print_fn_BANG_.call(null,(function() { 
var G__27449__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__27449 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__27450__i = 0, G__27450__a = new Array(arguments.length -  0);
while (G__27450__i < G__27450__a.length) {G__27450__a[G__27450__i] = arguments[G__27450__i + 0]; ++G__27450__i;}
  args = new cljs.core.IndexedSeq(G__27450__a,0,null);
} 
return G__27449__delegate.call(this,args);};
G__27449.cljs$lang$maxFixedArity = 0;
G__27449.cljs$lang$applyTo = (function (arglist__27451){
var args = cljs.core.seq(arglist__27451);
return G__27449__delegate(args);
});
G__27449.cljs$core$IFn$_invoke$arity$variadic = G__27449__delegate;
return G__27449;
})()
);

cljs.core.set_print_err_fn_BANG_.call(null,(function() { 
var G__27452__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__27452 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__27453__i = 0, G__27453__a = new Array(arguments.length -  0);
while (G__27453__i < G__27453__a.length) {G__27453__a[G__27453__i] = arguments[G__27453__i + 0]; ++G__27453__i;}
  args = new cljs.core.IndexedSeq(G__27453__a,0,null);
} 
return G__27452__delegate.call(this,args);};
G__27452.cljs$lang$maxFixedArity = 0;
G__27452.cljs$lang$applyTo = (function (arglist__27454){
var args = cljs.core.seq(arglist__27454);
return G__27452__delegate(args);
});
G__27452.cljs$core$IFn$_invoke$arity$variadic = G__27452__delegate;
return G__27452;
})()
);

return null;
});
